<?php

namespace \Losc\CucmBundle\Model\Webservice\StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for GetRemoteDestinationReq StructType
 * @subpackage Structs
 */
class GetRemoteDestinationReq extends AbstractStructBase
{
    /**
     * The destination
     * Meta information extracted from the WSDL
     * - choice: destination | uuid
     * - choiceMaxOccurs: 1
     * - choiceMinOccurs: 1
     * - maxOccurs: 1
     * - minOccurs: 1
     * - nillable: false
     * @var string
     */
    public $destination;
    /**
     * The uuid
     * Meta information extracted from the WSDL
     * - base: xsd:string
     * - choice: destination | uuid
     * - choiceMaxOccurs: 1
     * - choiceMinOccurs: 1
     * - pattern: \{........-....-....-....-............\}
     * @var string
     */
    public $uuid;
    /**
     * The returnedTags
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var \\Losc\CucmBundle\Model\Webservice\StructType\RRemoteDestination
     */
    public $returnedTags;
    /**
     * The sequence
     * Meta information extracted from the WSDL
     * - use: optional
     * @var int
     */
    public $sequence;
    /**
     * Constructor method for GetRemoteDestinationReq
     * @uses GetRemoteDestinationReq::setDestination()
     * @uses GetRemoteDestinationReq::setUuid()
     * @uses GetRemoteDestinationReq::setReturnedTags()
     * @uses GetRemoteDestinationReq::setSequence()
     * @param string $destination
     * @param string $uuid
     * @param \\Losc\CucmBundle\Model\Webservice\StructType\RRemoteDestination $returnedTags
     * @param int $sequence
     */
    public function __construct($destination = null, $uuid = null, \\Losc\CucmBundle\Model\Webservice\StructType\RRemoteDestination $returnedTags = null, $sequence = null)
    {
        $this
            ->setDestination($destination)
            ->setUuid($uuid)
            ->setReturnedTags($returnedTags)
            ->setSequence($sequence);
    }
    /**
     * Get destination value
     * @return string
     */
    public function getDestination()
    {
        return isset($this->destination) ? $this->destination : null;
    }
    /**
     * Set destination value
     * This property belongs to a choice that allows only one property to exist. It is
     * therefore removable from the request, consequently if the value assigned to this
     * property is null, the property is removed from this object
     * @param string $destination
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\GetRemoteDestinationReq
     */
    public function setDestination($destination = null)
    {
        if (is_null($destination) || (is_array($destination) && empty($destination))) {
            unset($this->destination);
        } else {
            $this->destination = $destination;
        }
        return $this;
    }
    /**
     * Get uuid value
     * @return string|null
     */
    public function getUuid()
    {
        return isset($this->uuid) ? $this->uuid : null;
    }
    /**
     * Set uuid value
     * This property belongs to a choice that allows only one property to exist. It is
     * therefore removable from the request, consequently if the value assigned to this
     * property is null, the property is removed from this object
     * @param string $uuid
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\GetRemoteDestinationReq
     */
    public function setUuid($uuid = null)
    {
        if (is_null($uuid) || (is_array($uuid) && empty($uuid))) {
            unset($this->uuid);
        } else {
            $this->uuid = $uuid;
        }
        return $this;
    }
    /**
     * Get returnedTags value
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\RRemoteDestination|null
     */
    public function getReturnedTags()
    {
        return $this->returnedTags;
    }
    /**
     * Set returnedTags value
     * @param \\Losc\CucmBundle\Model\Webservice\StructType\RRemoteDestination $returnedTags
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\GetRemoteDestinationReq
     */
    public function setReturnedTags(\\Losc\CucmBundle\Model\Webservice\StructType\RRemoteDestination $returnedTags = null)
    {
        $this->returnedTags = $returnedTags;
        return $this;
    }
    /**
     * Get sequence value
     * @return int|null
     */
    public function getSequence()
    {
        return $this->sequence;
    }
    /**
     * Set sequence value
     * @param int $sequence
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\GetRemoteDestinationReq
     */
    public function setSequence($sequence = null)
    {
        $this->sequence = $sequence;
        return $this;
    }
}
